import { type RouteRecordRaw } from 'vue-router'
import { routes, type Template } from 'content/routes.js'

const markdownBody = () => import ('./views/markdown.vue')

export const templates: Record<Template, () => Promise<any>> = {
  'markdown': markdownBody,
}

export const createRoutes = (): RouteRecordRaw[] => {
  const routeRecord: RouteRecordRaw[] = []

  Object.keys(routes).forEach(route => {
    routeRecord.push({
      name: routes[route].id,
      path: route,
      component: templates[routes[route].template],
    })
  })

  return routeRecord
}
